SystemOrganization addCategory: #'Xen-Tests'!

Object subclass: #ButtonTest1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Xen-Tests'!

!ButtonTest1 commentStamp: 'NolanVoid 5/1/2014 18:50' prior: 0!
A ButtonTest is a test that creates a button and opens a Transcript. When the button is clicked, a message appears in the Transacript.
!

!ButtonTest1 methodsFor: 'initialization' stamp: 'NolanVoid 5/1/2014 19:39'!
initialize
	"Open a Transcript and create a button."

	| button |
	Transcript openLabel: 'Xen-Tests'.
	button := XTButton new.
	button openInWorld.! !

Object subclass: #ButtonTest2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Xen-Tests'!

!ButtonTest2 commentStamp: 'NolanVoid 5/1/2014 18:50' prior: 0!
A ButtonTest is a test that creates a button and opens a Transcript. When the button is clicked, a message appears in the Transacript.
!

!ButtonTest2 methodsFor: 'initialization' stamp: 'NolanVoid 5/4/2014 01:35'!
initialize
	"Open a Transcript and create a button."

	Transcript openLabel: 'Xen-Tests: targeted'.
	XTTargetButton new.
! !

SimpleButtonMorph subclass: #XTButton
	instanceVariableNames: 'mouseAction'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Xen-Tests'!

!XTButton commentStamp: 'NolanVoid 5/1/2014 19:08' prior: 0!
A XTButton is a widget that prints a message in the Transcript.
!

!XTButton methodsFor: 'initialization' stamp: 'NolanVoid 5/4/2014 02:02'!
initialize
	"Set up the button."

	super initialize.
	self label: 'Send message'.
	self helpText: 'Click me to send a message to the Transcript'.
	bounds := 20@20 extent: 150@40.! !

!XTButton methodsFor: 'event handling' stamp: 'NolanVoid 5/1/2014 22:48'!
mouseUp: evt
	"Send a message to the Transcript."

	super mouseUp: evt.
	Transcript show: 'Magical message!!'; cr.! !

SimpleButtonMorph subclass: #XTTargetButton
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Xen-Tests'!

!XTTargetButton commentStamp: 'NolanVoid 5/4/2014 01:35' prior: 0!
A XTTargetButton is a button that sends its target (a Transcript) a message.
!

!XTTargetButton methodsFor: 'as yet unclassified' stamp: 'NolanVoid 5/4/2014 02:01'!
initialize
	"Set up the button."

	super initialize.
	self bottomLeft: 60@200.
	self color: (Color r: 0.6 g: 1.0 b: 0.8 alpha: 1.0).
	self label: 'Send message'.
	self helpText: 'Click me to send a message to the Transcript'.
	self target: Transcript.
	self actionSelector: #show:.
	self arguments: {'Magic targeted message!!', Character cr asString}.
	self openInWorld.! !
